<?php
namespace SM\Controller;

use SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use SM\Service\CalendarioLembretesService;
use SM\Traits\TResponse;

class CalendarioLembretesController extends SMCrud
{
    use TResponse;

    protected $calendarioLembretesService;

    public function __construct($crudService, $environment, CalendarioLembretesService $calendarioLembretesService)
    {
        parent::__construct($crudService, $environment);
        $this->calendarioLembretesService = $calendarioLembretesService;
    }

    public function getCalendarioLembreteContrato(Request $request)
    {
        try {
            $data = $this->calendarioLembretesService->getCalendarioLembreteContrato($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}